Loading...
Searching...
No Matches
coap_lg_srcv_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to hold large body (many blocks) server receive information. More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_lg_srcv_t:
[legend]

## Data Fields

struct coap_lg_srcv_t * | next
uint8_t | observe [3]
| Observe data (if set) (only 24 bits).
uint8_t | observe_length
| Length of observe data.
uint8_t | observe_set
| Set if this is an observe receive PDU.
uint8_t | no_more_seen
| Set if block with more not set seen.
uint8_t | rtag_set
| Set if RTag is in receive PDU.
uint8_t | rtag_length
| RTag length.
uint8_t | rtag [8]
| RTag for block checking.
uint16_t | content_format
| Content format for the set of blocks.
uint8_t | last_type
| Last request type (CON/NON).
uint8_t | szx
| size of individual blocks
size_t | total_len
| Length as indicated by SIZE1 option.
coap_binary_t * | body_data
| Used for re-assembling entire body.
coap_resource_t * | resource
| associated resource
coap_str_const_t * | uri_path
coap_rblock_t | rec_blocks
| set to uri_path if unknown resource
coap_bin_const_t * | last_token
| < list of received blocks
coap_mid_t | last_mid
| Last received mid for this set of packets.
coap_tick_t | last_used
| Last time data sent or 0.
uint16_t | block_option
| Block option in use.

## Detailed Description

Structure to hold large body (many blocks) server receive information.

Definition at line 207 of file coap_block_internal.h.

## Field Documentation

## block_option

uint16_t coap_lg_srcv_t::block_option

Block option in use.

Definition at line 227 of file coap_block_internal.h.

## body_data

coap_binary_t* coap_lg_srcv_t::body_data

Used for re-assembling entire body.

Definition at line 220 of file coap_block_internal.h.

## content_format

uint16_t coap_lg_srcv_t::content_format

Content format for the set of blocks.

Definition at line 216 of file coap_block_internal.h.

## last_mid

coap_mid_t coap_lg_srcv_t::last_mid

Last received mid for this set of packets.

Definition at line 225 of file coap_block_internal.h.

## last_token

coap_bin_const_t* coap_lg_srcv_t::last_token

< list of received blocks

last used token

Definition at line 224 of file coap_block_internal.h.

## last_type

uint8_t coap_lg_srcv_t::last_type

Last request type (CON/NON).

Definition at line 217 of file coap_block_internal.h.

## last_used

coap_tick_t coap_lg_srcv_t::last_used

Last time data sent or 0.

Definition at line 226 of file coap_block_internal.h.

## next

struct coap_lg_srcv_t* coap_lg_srcv_t::next

Definition at line 208 of file coap_block_internal.h.

## no_more_seen

uint8_t coap_lg_srcv_t::no_more_seen

Set if block with more not set seen.

Definition at line 212 of file coap_block_internal.h.

## observe

uint8_t coap_lg_srcv_t::observe[3]

Observe data (if set) (only 24 bits).

Definition at line 209 of file coap_block_internal.h.

## observe_length

uint8_t coap_lg_srcv_t::observe_length

Length of observe data.

Definition at line 210 of file coap_block_internal.h.

## observe_set

uint8_t coap_lg_srcv_t::observe_set

Set if this is an observe receive PDU.

Definition at line 211 of file coap_block_internal.h.

## rec_blocks

coap_rblock_t coap_lg_srcv_t::rec_blocks

set to uri_path if unknown resource

Definition at line 223 of file coap_block_internal.h.

## resource

coap_resource_t* coap_lg_srcv_t::resource

associated resource

Definition at line 221 of file coap_block_internal.h.

## rtag

uint8_t coap_lg_srcv_t::rtag[8]

RTag for block checking.

Definition at line 215 of file coap_block_internal.h.

## rtag_length

uint8_t coap_lg_srcv_t::rtag_length

RTag length.

Definition at line 214 of file coap_block_internal.h.

## rtag_set

uint8_t coap_lg_srcv_t::rtag_set

Set if RTag is in receive PDU.

Definition at line 213 of file coap_block_internal.h.

## szx

uint8_t coap_lg_srcv_t::szx

size of individual blocks

Definition at line 218 of file coap_block_internal.h.

## total_len

size_t coap_lg_srcv_t::total_len

Length as indicated by SIZE1 option.

Definition at line 219 of file coap_block_internal.h.

## uri_path

coap_str_const_t* coap_lg_srcv_t::uri_path

Definition at line 222 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h